using BukiVedi.Shared.Entities;

namespace BukiVedi.Shared
{
    public interface IAuthProvider
    {
        Task<Member> CreateAccount(Member account);
        Task<Member> Update(Member account);
        Task<Member> GetAccountByLogin(string login);
        Task<Member> GetAccount(string id);
        Task<Member> GetAccount(string login, string password);
    }
}
